#ifndef __G_TEXTURES_H__
#define __G_TEXTURES_H__

#include <gear/base.h>
#include <gear/images.h>

#include <sokol/sokol_gfx.h>

typedef struct g_texture {
    i32 width;
    i32 height;
    sg_image image;
    sg_sampler sampler;
} g_texture;

// src/graphics/textures/create.c
g_texture* g_texture_create(g_image* image);
g_texture* g_texture_create_filtered(g_image* image, sg_filter min_filter, sg_filter mag_filter);

// src/graphics/textures/destroy.c
void g_texture_destroy(g_texture* texture);

#endif
